<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('functions.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index__5F" name="index__5F"></a>- _ -</h3><ul>
<li>_allocated&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#aee2522b771ca30bc09bff4d5b3176bfc">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>_annData&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a3b6e46ca8afad6af62b3f15e2b6b5ec6">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_attributePool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a0a57ebeba23bc6cfce88f12b4a946aac">tinyxml2::XMLDocument</a></li>
<li>_auxGp&#160;:&#160;<a class="el" href="classmelon_1_1_mulfil_gp.html#aaae88f0271337860809b47f254b4809b">melon::MulfilGp&lt; T &gt;</a></li>
<li>_blockPtrs&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a028d833de2bf5e6257b4b27a68702a84">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_buffer&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a19fca2e934576a892fefe2f602874d59">tinyxml2::XMLPrinter</a></li>
<li>_calculate_covariance_vector()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#aae8bb3d11aff0e09abd06a04c79ce919">melon::GaussianProcess&lt; T &gt;</a></li>
<li>_calculate_layer_activation()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a52bc8b4239937c6290e3a2b59dad9f24">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_calculate_prediction()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a863db6c1f3e0937db86ecbb59cacf635">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_gaussian_process.html#a6e0cf68a04c497a3b5f6ac9ba23f9105">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#ac6565c54b8f61f6ad7e03dab3f56d5b0">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_calculate_variance()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a2f9be500790e7a7f8f01e905bab43286">melon::GaussianProcess&lt; T &gt;</a></li>
<li>_charBuffer&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a7913ff24220a40e2e2b49a5137b43d29">tinyxml2::XMLDocument</a></li>
<li>_check_if_layer_indicator()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a6013cbdce74b67a4313bf237064771fd">melon::AnnParserCsv</a></li>
<li>_closingType&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#a3f3f8f60bc21aae4c1bb9470d7ab0823">tinyxml2::XMLElement</a></li>
<li>_commentPool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#ac2e73ccbc037dee917c3163158180398">tinyxml2::XMLDocument</a></li>
<li>_compactMode&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a7bc067aa3f0dcee68e4ac75e19117bd0">tinyxml2::XMLPrinter</a></li>
<li>_csv_to_double_matrix()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#addcc0d8ec8d50f6b46e00255074eb2e5">melon::AnnParserCsv</a></li>
<li>_csv_to_string_matrix()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a62c3571187204d00db093bffcea3e78b">melon::AnnParserCsv</a></li>
<li>_currentAllocs&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#afa908fd62011c6e633d7af196d667e9d">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_data&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a7a0e63218ed6e1c2c03ef0da5f0eee3e">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_matern.html#afd32a89a7eeff017e7c811c4c4a3a64e">melon::kernel::Matern&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1_mulfil_gp.html#a3e257844890f74a8b153306724434aca">melon::MulfilGp&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#aa2b45da4783283842e9cd42846753315">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_decision_function()&#160;:&#160;<a class="el" href="classmelon_1_1_support_vector_machine.html#abf0be2b3dd923d3594af7d93eecc9ca8">melon::SupportVectorMachine&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine_one_class.html#a3855ffdd842f23e3df4ed1f308cc16f0">melon::SupportVectorMachineOneClass&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_regression.html#a44ff96300fb49cea7bf8d5b70c2c7104">melon::SupportVectorRegression&lt; T &gt;</a></li>
<li>_depth&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a19cd59a9dbe4b666264803fb91ac8ec1">tinyxml2::XMLPrinter</a></li>
<li>_document&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document_1_1_depth_tracker.html#ab142a47709c83a3698af1470378b9385">tinyxml2::XMLDocument::DepthTracker</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a8d2d2be0bb6797625551eb0e91f0ff62">tinyxml2::XMLNode</a></li>
<li>_elementJustOpened&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#ac07169d58b465214a2b1fa306e617c26">tinyxml2::XMLPrinter</a></li>
<li>_elementPool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a21574fba363a0d23bfc820d1652ab8bc">tinyxml2::XMLDocument</a></li>
<li>_end&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#a855c81f785458d8f84313221f2d4a1eb">tinyxml2::StrPair</a></li>
<li>_entityFlag&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a334eb34c43f21daebef9341b4768c275">tinyxml2::XMLPrinter</a></li>
<li>_errorID&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a61270d643f810975656da2054e1e1622">tinyxml2::XMLDocument</a></li>
<li>_errorLineNum&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a7865f254baf1f615c5250aa31bb262d1">tinyxml2::XMLDocument</a></li>
<li>_errorNames&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#af006d806fd8e1f6e74933ee9c062de4a">tinyxml2::XMLDocument</a></li>
<li>_errorStr&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a13a35ff680994da3fc2d2b2e62a33f8d">tinyxml2::XMLDocument</a></li>
<li>_euclidian_distance()&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_matern.html#a85fac54714c648155ccb76ca58b140dc">melon::kernel::Matern&lt; T, V &gt;</a></li>
<li>_f&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_kernel_constant.html#a1ec7738aa8621712f7fa706861b81a86">melon::kernel::KernelConstant&lt; T, V &gt;</a></li>
<li>_firstChild&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#aa20c91e4213dc930c5bdf420322ca342">tinyxml2::XMLNode</a></li>
<li>_firstElement&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#abbd7ac45d97ae5eceec12d6c058119f9">tinyxml2::XMLPrinter</a></li>
<li>_flags&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#ae6fabc08e7b24b0d41fa5f2fadbda4ed">tinyxml2::StrPair</a></li>
<li>_format_file_path()&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#a38cba45beb94be7372469315f017576c">melon::ModelParser</a></li>
<li>_format_folder_path()&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#a2631bf777f02fa3deefa3391affedf0b">melon::ModelParser</a></li>
<li>_fp&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a79d91decf17990f7ce18b592f3fdf44e">tinyxml2::XMLPrinter</a></li>
<li>_gamma&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_kernel_r_b_f.html#a8885cc1731e50ae7b5f9bc0bef44748e">melon::kernel::KernelRBF&lt; T, V &gt;</a></li>
<li>_get_layer_index_from_indicator()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a695e63a6f420c2a3b7cd5fd4a692a282">melon::AnnParserCsv</a></li>
<li>_inputScaler&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a8d22eb1e65b7f74b4e84c3c8ea78df51">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_gaussian_process.html#ab71eff604f282686adc536b2692414a6">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#ae16e1a18a7c8a6237bba83c43f31ed29">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_isCData&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_text.html#aae1a8b4117e8c8bb107900a0560d5ab5">tinyxml2::XMLText</a></li>
<li>_kernel&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a281daa122ee8cde5ea35d22febfb9830">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#aeeac5223941266357a7711260527808a">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_lastChild&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a099b6560ae44ab9edb8453aaf1a3747b">tinyxml2::XMLNode</a></li>
<li>_lowerBounds&#160;:&#160;<a class="el" href="classmelon_1_1_min_max_scaler.html#a4692dd7c3dab76d4e189060a4bd494ca">melon::MinMaxScaler&lt; T &gt;</a></li>
<li>_lowGp&#160;:&#160;<a class="el" href="classmelon_1_1_mulfil_gp.html#ab5fbff291bc45915fb3ad7ea882f0c6b">melon::MulfilGp&lt; T &gt;</a></li>
<li>_maxAllocs&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aaf3960c9e30197aeb1c0af271c297db9">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_mean&#160;:&#160;<a class="el" href="classmelon_1_1_standard_scaler.html#a0f535a7405baecfb7a3c3ab41494872d">melon::StandardScaler&lt; T &gt;</a></li>
<li>_mem&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#ac8511e876d55f3ec64277516273434fd">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>_memPool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#ac0a1130568dd9e985dd7753ae44fcdbf">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a4e3ff179bc312480b6bc3e57014834f7">tinyxml2::XMLNode</a></li>
<li>_modelLoaded&#160;:&#160;<a class="el" href="classmelon_1_1_melon_model.html#a17ac3b399c0615c5e4033f532e8cc7c4">melon::MelonModel&lt; T &gt;</a></li>
<li>_modelName&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#ac7d5473b675b9595aee8db5f44a5a2c1">melon::ModelParser</a></li>
<li>_modelPath&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#a1be76f5606faa2afdad693f26dd1660a">melon::ModelParser</a></li>
<li>_msg&#160;:&#160;<a class="el" href="class_melon_exception.html#a073260a73dcd9a890469a0d16ac0a932">MelonException</a></li>
<li>_nAllocs&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#acd5867e06ad91a655f3c9f95ca163e9b">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_name&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a80850208963b536e9254a7fa1d4abe67">tinyxml2::XMLAttribute</a></li>
<li>_next&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a3bbf00f77131a8e83d648d32d090c564">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a27e985496b37dd00eb5b9cf59b9e3fb1">tinyxml2::XMLNode</a></li>
<li>_node&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_const_handle.html#ad4d8db839660ef730adfa2439945c4da">tinyxml2::XMLConstHandle</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_handle.html#a65449d71b75d8aeb40a54224c954c138">tinyxml2::XMLHandle</a></li>
<li>_nUntracked&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#a5048ad99f7350f7224b13cf85fbff151">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_outputScaler&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a25f7c656e140792b73fccc7058249256">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#a6f2560dacef790d4668cbc27bea19178">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_parameterScaler&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#ac4976122607a44955492fec1ab61f015">melon::GaussianProcess&lt; T &gt;</a></li>
<li>_parent&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a176dd1c4965c21c366de192164aa2c13">tinyxml2::XMLNode</a></li>
<li>_parse_bias_weights()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a176bb1733a3cd18a2b2338b545bcca20">melon::AnnParserCsv</a></li>
<li>_parse_config_file()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a9435ee55ff3adb985753db65e7d6317b">melon::AnnParserCsv</a></li>
<li>_parse_input_weights()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a885305c2d03d62791104e15b3c85e666">melon::AnnParserCsv</a></li>
<li>_parse_layer_weights()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#abb1c95707f3e36cba0e03ff10523290f">melon::AnnParserCsv</a></li>
<li>_parse_scalers()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_csv.html#a72fa1cdae520c5091c34b66a11f0ba1e">melon::AnnParserCsv</a></li>
<li>_parse_vector_double()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_xml.html#a9823c0bbad2748b2796f0243b85e1b2f">melon::AnnParserXml</a></li>
<li>_parse_vector_int()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser_xml.html#a95f925940a1f91a62e1a571d60d91f09">melon::AnnParserXml</a></li>
<li>_parseCurLineNum&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a802c62efacc325f1acb9cfd331b59ea5">tinyxml2::XMLDocument</a></li>
<li>_parseLineNum&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#a3ccce78440ebad696e6958cb51aead9e">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ab336ed023e15be202ff3b410be01b804">tinyxml2::XMLNode</a></li>
<li>_parserFactory&#160;:&#160;<a class="el" href="classmelon_1_1_melon_model.html#a79a4a98914ebfc91398a20b9014726e1">melon::MelonModel&lt; T &gt;</a></li>
<li>_parsingDepth&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#adf4da174d246a262137aceb38e37dc77">tinyxml2::XMLDocument</a></li>
<li>_pool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#a26ed1f7dab98229d2ed867a07ee427df">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>_predictionScaler&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#a0c4066fe0ac0bdcb4947d7e8ee0ee0fd">melon::GaussianProcess&lt; T &gt;</a></li>
<li>_prev&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a9739eb0fb9a1188266052055e7a6bf6b">tinyxml2::XMLNode</a></li>
<li>_processEntities&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a9f768cb74fb5ccbadeffa436916f0194">tinyxml2::XMLDocument</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a3e27c4b4fe791a96e4e139b5034e190b">tinyxml2::XMLPrinter</a></li>
<li>_quadratic_distance()&#160;:&#160;<a class="el" href="classmelon_1_1kernel_1_1_matern.html#a23dc40f992932497afc16a00f20f2e77">melon::kernel::Matern&lt; T, V &gt;</a>, <a class="el" href="classmelon_1_1kernel_1_1_stationary_kernel.html#a566162476b5a4d85bf3433131bc517ae">melon::kernel::StationaryKernel&lt; T, V &gt;</a></li>
<li>_relu()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#a81e55a0f8f437563f86d3e896c1db9c0">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_relu6()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#ab7ba2a702f03f392778f7d05a43ce356">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_restrictedEntityFlag&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a5df242509d42ae1c9128924121ebe093">tinyxml2::XMLPrinter</a></li>
<li>_root&#160;:&#160;<a class="el" href="classtinyxml2_1_1_mem_pool_t.html#aff60ad785be00814e442e53fb4462688">tinyxml2::MemPoolT&lt; ITEM_SIZE &gt;</a></li>
<li>_rootAttribute&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_element.html#ad067115a9f42b2df1fcdf3e0355f2789">tinyxml2::XMLElement</a></li>
<li>_scaledLowerBounds&#160;:&#160;<a class="el" href="classmelon_1_1_min_max_scaler.html#a40116fba518d7fff221d0ecc364c5631">melon::MinMaxScaler&lt; T &gt;</a></li>
<li>_scaledUpperBounds&#160;:&#160;<a class="el" href="classmelon_1_1_min_max_scaler.html#aa1908e8c3d60cf316eedb75869bf6bcb">melon::MinMaxScaler&lt; T &gt;</a></li>
<li>_set_constraints()&#160;:&#160;<a class="el" href="classmelon_1_1_melon_model.html#ab783bd628a80774149c34f0e2b8f8f48">melon::MelonModel&lt; T &gt;</a></li>
<li>_set_data_object()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#ae98f7e952148f9d8aa22d2450f50f9db">melon::FeedForwardNet&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_gaussian_process.html#a8eec30fd8d4072723776d87b5c510b15">melon::GaussianProcess&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_melon_model.html#ae1d72d9bbe5993be3d9230395abc0310">melon::MelonModel&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_mulfil_gp.html#ac01195845825a9bc17cc684beeb673ce">melon::MulfilGp&lt; T &gt;</a>, <a class="el" href="classmelon_1_1_support_vector_machine.html#ad1a0be4db1d52bf32f1651142a422a22">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_set_kernel()&#160;:&#160;<a class="el" href="classmelon_1_1_gaussian_process.html#aefa8c94b875d1c3162326c04fc3794e9">melon::GaussianProcess&lt; T &gt;</a></li>
<li>_size&#160;:&#160;<a class="el" href="classtinyxml2_1_1_dyn_array.html#a40f0578cc1912eed17fb29f64daf6ae9">tinyxml2::DynArray&lt; T, INITIAL_SIZE &gt;</a></li>
<li>_stack&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a99d59e67e084714541bee3ae43884bef">tinyxml2::XMLPrinter</a></li>
<li>_start&#160;:&#160;<a class="el" href="classtinyxml2_1_1_str_pair.html#acfd8687916a02833cc55c279460d2f4a">tinyxml2::StrPair</a></li>
<li>_stdDev&#160;:&#160;<a class="el" href="classmelon_1_1_standard_scaler.html#ac34dd7674c62dcb2c33925ffeafd810b">melon::StandardScaler&lt; T &gt;</a></li>
<li>_string_to_activation_function()&#160;:&#160;<a class="el" href="classmelon_1_1_ann_parser.html#a3c68338943ed45fc0415214743a9260a">melon::AnnParser</a></li>
<li>_string_to_scaler_parameter()&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#ab2a5a119986e39a4f951d9952e5d209e">melon::ModelParser</a></li>
<li>_string_to_scaler_type()&#160;:&#160;<a class="el" href="classmelon_1_1_model_parser.html#a079c906eccf340590701dba8d6a776d9">melon::ModelParser</a></li>
<li>_tanh()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#acc52bba26e3affaf5bd8bdd97367130f">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_tanh_formulation&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#aa29c58f20ab3b344243565940fc0e243">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_tanh_reformulation_1()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#aa827bc95b61702119170c403edb86f9c">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_tanh_reformulation_2()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#af2ce30b35e0450243cdcc4f77649b9a7">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_tanh_reformulation_3()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#aa135bf5d528c1b99a63f0cf3ddceb7ac">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_tanh_reformulation_4()&#160;:&#160;<a class="el" href="classmelon_1_1_feed_forward_net.html#ac33420287de3773a2ab4dfab022287cf">melon::FeedForwardNet&lt; T &gt;</a></li>
<li>_textDepth&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_printer.html#a3c5a442e57131faefde97188e92144f3">tinyxml2::XMLPrinter</a></li>
<li>_textPool&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#afe8ac410aaa53cf1f2142a4c2fd958c7">tinyxml2::XMLDocument</a></li>
<li>_unlinked&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a1d2e0f6b8bf0914058c71f2425edac19">tinyxml2::XMLDocument</a></li>
<li>_update_kernel()&#160;:&#160;<a class="el" href="classmelon_1_1_support_vector_machine.html#a4b02218e266feb6cced0584c6f965a96">melon::SupportVectorMachine&lt; T &gt;</a></li>
<li>_upperBounds&#160;:&#160;<a class="el" href="classmelon_1_1_min_max_scaler.html#ac2d9d43ded890a37679f876fb9213a35">melon::MinMaxScaler&lt; T &gt;</a></li>
<li>_userData&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_node.html#ac2d5cc463a6c95ec5907d57a119c56da">tinyxml2::XMLNode</a></li>
<li>_value&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_attribute.html#abcf5c9b7f040ed71ed2a66557584b5b0">tinyxml2::XMLAttribute</a>, <a class="el" href="classtinyxml2_1_1_x_m_l_node.html#a3ea9884098b8379de2bb5ab3fc85c0fc">tinyxml2::XMLNode</a></li>
<li>_whitespaceMode&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#afec08bf4b1c57b487ba3c6855cfe5478">tinyxml2::XMLDocument</a></li>
<li>_writeBOM&#160;:&#160;<a class="el" href="classtinyxml2_1_1_x_m_l_document.html#a1dbdc7feaa58007403c20243ac5abbd3">tinyxml2::XMLDocument</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
